import { useCallback, useRef } from 'react';
import { useIsomorphicLayoutEffect } from './useIsomorphicLayoutEffect';
export function useEventCallback(callback) {
    const ref = useRef(() => {
        throw new Error('Cannot call an event handler while rendering.');
    });
    useIsomorphicLayoutEffect(() => {
        ref.current = callback;
    });
    return useCallback((...args) => {
        const fn = ref.current;
        return fn(...args);
    }, []);
}
//# sourceMappingURL=useEventCallback.js.map